%define upstream_name    Erlang-Parser
%define upstream_version 0.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Erlang source code parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Erlang/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Parse::Lex) >= 2.200.0
BuildRequires: perl(Parse::Yapp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
the Erlang::Parser manpage is an Erlang source code parser. You can feed
'parse()' any fragment of code which would be acceptable at the top-level
of a '.erl' file, including a full file.

Methods
    * 'parse'

      Parses an top-level Erlang declarations from a string, list of lines
      of code, or filehandle. Returns a list of top-level nodes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-3.mga4
+ Revision: 511405
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 366883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 kharec <kharec> 0.500.0-1.mga3
+ Revision: 248643
- update to 0.5

* Mon Nov 07 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 164997
- update to 0.4

* Sun Nov 06 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 164355
- imported package perl-Erlang-Parser


* Sun Nov 06 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
